import "package:grapheen/grapheen.dart";
import "dart:async";
import "dart:math";

class ReplicationFake extends Replication {
	int _objs = 0;
	ReplicationFake(Grapheen g):super(g) {
	}
	int rand() {
		return new Random(new DateTime.now().millisecondsSinceEpoch).nextInt(10)+2;
	}
	Future<List<int>> call_reserveIds(int cnt) {
		List<int> ls = new List();
		for (int i=0;i<cnt;++i) {
			ls.add(++_objs);
		}
		return new Future.value(ls);
	}
	Future<String> call_replicate(String input) {
		if (_objs == 0) {
			return new Future.value(_generateVertexes(3));
		}
		String s = input;
		s += _generateVertexes(1);
		return new Future.value(s);
	}
	String _generateVertexes(num cnt) {
		String s = "";
		for (int i=0;i<cnt;++i) {
			s+="V,"+(++_objs).toString();
			s+=",name,'Name "+_objs.toString()+"'";
			s+="\n";
		}
		return s;
	}
}