part of grapheen;

class _Indexer {

	Map<int,Map> _objects = new Map<int,Map>();
	Map get(int id) => _objects[id];
	Map<String,Map<Object,List<int>>> _propIndex = new Map();

	void set(int id,String key,Object value) {
		if (_objects.containsKey(id) == false) {
			if (value == null)
				return;
			else
				_objects[id] = new Map();
		}
		Map obj = _objects[id];
		if (obj.containsKey(key) == true) {
			Object oldVal = obj[key];
			_propIndex[key][oldVal].remove(id);
		}
		if (value == null) {
			obj.remove(key);
			if (obj.length == 0)
				_objects.remove(id);
		} else {
			obj[key] = value;
			Map valueMap = _propIndex[key];
			if (valueMap == null) {
				valueMap = new Map();
				_propIndex[key] = valueMap;
			}
			List valueRes = valueMap[value];
			if (valueRes == null) {
				valueRes = new List();
				valueMap[value] = valueRes;
			}
			valueRes.add(id);
		}
	}
	List<int> lookup(String prop, Object val,String operator) {
		if (operator == "=") {
			List res = _propIndex[prop][val];
			return res != null ? res : [];
		} else if (operator == "!=") {
			List<int> res = new List();
			_propIndex[prop].forEach((Object singleVal,List ids) {
				if (singleVal != val)
					res.addAll(ids);
			});
			return res;
		}
	}
}