library query_order_test;

@TestOn("vm")

import "package:test/test.dart";
import "package:grapheen/grapheen.dart";
import "bands.dart";

void main() {
	group("Query Order -", () {
		Grapheen g;
		setUp(() {
			g = new Grapheen();
			fillInGraph(g);
		});
		tearDown(() {
		});
		test("simple", () {
			Pipe v = g.V(9).outE().inV().order("name");   // formation of Queen
			expect(v.ids(),orderedEquals([6,5,8,7])); // QUEEN members
		});
	});
}